Amazon Linux AMI : git (ALAS-2018-948)

Medium Nessus Plugin ID 106693

Synopsis

The remote Amazon Linux AMI host is missing a security update.

Description

Mishandling layers of tree objects

Git through 2.14.2 mishandles layers of tree objects, which allows remote attackers to cause a denial of service (memory consumption) via a crafted repository, aka a Git bomb. This can also have an impact of disk consumption; however, an affected process typically would not survive its attempt to build the data structure in memory before writing to disk. (CVE-2017-15298)

Solution

Run 'yum update git' to update your system.

See Also

https://alas.aws.amazon.com/ALAS-2018-948.html

Plugin Details

Severity: Medium

ID: 106693

File Name: ala_ALAS-2018-948.nasl

Version: $Revision: 3.1 $

Type: local

Published: 2018/02/09

Modified: 2018/02/09

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSSv3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:emacs-git, p-cpe:/a:amazon:linux:emacs-git-el, p-cpe:/a:amazon:linux:git, p-cpe:/a:amazon:linux:git-all, p-cpe:/a:amazon:linux:git-bzr, p-cpe:/a:amazon:linux:git-cvs, p-cpe:/a:amazon:linux:git-daemon, p-cpe:/a:amazon:linux:git-debuginfo, p-cpe:/a:amazon:linux:git-email, p-cpe:/a:amazon:linux:git-hg, p-cpe:/a:amazon:linux:git-p4, p-cpe:/a:amazon:linux:git-svn, p-cpe:/a:amazon:linux:gitweb, p-cpe:/a:amazon:linux:perl-Git, p-cpe:/a:amazon:linux:perl-Git-SVN, cpe:/o:amazon:linux

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 2018/02/07

Reference Information

CVE: CVE-2017-15298

ALAS: 2018-948